<?php

/**
 * Return menus.
 */
function _openacadept_get_menus() {
  // Define new menus
  $menus = array();
  return $menus;
}


/**
 * Returns node and menu structure.
 */
function _openacadept_get_nodes_and_menu_items() {
 $items = array(
    'about' => array(
      'type' => 'page',
      'uid' => 1,
      'path' => 'about',
      'title' => 'About us',
      'body' => '<p>You can edit this text.</p>',
      'menus' => array('main-menu'),
    ),
    'contact' => array(
      'path' => 'contact',
      'title' => 'Contact us',
      'parent' => 'about',
      'menus' => array('main-menu'),
    ),
    'about/history' => array(
      'type' => 'page',
      'uid' => 1,
      'path' => 'about/history',
      'title' => 'Department history',
      'body' => '<p>You can edit this text.</p>',
      'parent' => 'about',
      'menus' => array('main-menu'),
    ),
    'admissions' => array(
      'type' => 'page',
      'uid' => 1,
      'path' => 'admissions',
      'title' => 'Admissions',
      'body' => '<p>You can edit this text.</p>',
      'menus' => array('main-menu'),
    ),
    'admissions/undergraduate' => array(
      'type' => 'page',
      'uid' => 1,
      'path' => 'admissions/undergraduate',
      'title' => 'Undergraduate',
      'body' => '<p>You can edit this text.</p>',
      'parent' => 'admissions',
      'menus' => array('main-menu'),
    ),
    'admissions/graduate' => array(
      'type' => 'page',
      'uid' => 1,
      'path' => 'admissions/graduate',
      'title' => 'Graduate',
      'body' => '<p>You can edit this text.</p>',
      'parent' => 'admissions',
      'menus' => array('main-menu'),
    ),
    'education' => array(
      'type' => 'page',
      'uid' => 1,
      'path' => 'education',
      'title' => 'Education',
      'body' => '<p>You can edit this text.</p>',
      'menus' => array('main-menu'),
    ),
    'education/undergraduate' => array(
      'type' => 'page',
      'uid' => 1,
      'path' => 'education/undergraduate',
      'title' => 'Undergraduate',
      'body' => '<p>You can edit this text.</p>',
      'parent' => 'education',
      'menus' => array('main-menu'),
    ),
    'education/masters' => array(
      'type' => 'page',
      'uid' => 1,
      'path' => 'education/masters',
      'title' => 'Masters',
      'body' => '<p>You can edit this text.</p>',
      'parent' => 'education',
      'menus' => array('main-menu'),
    ),
    'education/phd' => array(
      'type' => 'page',
      'uid' => 1,
      'path' => 'education/phd',
      'title' => 'PhD',
      'body' => '<p>You can edit this text.</p>',
      'parent' => 'education',
      'menus' => array('main-menu'),
    ),
    'people' => array(
      'type' => 'page',
      'uid' => 1,
      'path' => 'people',
      'title' => 'People',
      'body' => '<p>You can edit this text.</p>',
      'menus' => array('main-menu'),
    ),
    'people/faculty-staff' => array(
      'path' => 'people/faculty-staff',
      'title' => 'Faculty/Staff',
      'parent' => 'people',
      'menus' => array('main-menu'),
    ),
    'people/students' => array(
      'path' => 'people/students',
      'title' => 'Students',
      'parent' => 'people',
      'menus' => array('main-menu'),
    ),
    'people/alumni' => array(
      'path' => 'people/alumni',
      'title' => 'Alumni',
      'parent' => 'people',
      'menus' => array('main-menu'),
    ),
    'research' => array(
      'type' => 'page',
      'uid' => 1,
      'path' => 'research',
      'title' => 'Research',
      'body' => '<p>You can edit this text.</p>',
      'menus' => array('main-menu'),
    ),
    'research/projects' => array(
      'path' => 'research/projects',
      'title' => 'Projects',
      'parent' => 'research',
      'menus' => array('main-menu'),
    ),
    'research/publications' => array(
      'path' => 'research/publications',
      'title' => 'Publications',
      'parent' => 'research',
      'menus' => array('main-menu'),
    ),
    'research/events' => array(
      'path' => 'research/events',
      'title' => 'Events',
      'parent' => 'research',
      'menus' => array('main-menu'),
    ),
    'resources' => array(
      'path' => 'resources',
      'title' => 'Resources',
      'menus' => array('main-menu'),
    ),
    'search' => array(
      'path' => 'search',
      'title' => 'Search',
      'weight' => -30,
      'menus' => array('user-menu'),
    ),
    'user/login' => array(
      'path' => 'user/login',
      'title' => 'Log in',
      'weight' => -20,
      'menus' => array('user-menu'),
    ),
    'user/register' => array(
      'path' => 'user/register',
      'title' => 'Register',
      'weight' => -15,
      'menus' => array('user-menu'),
    ),
  );
  return $items;
}

/**
 * Return taxonomy terms.
 */
function _openacadept_get_taxonomy_terms() {
  $taxonomy_terms['academic_degrees'] = array(
    array(
      'name' => 'Sc.D.',
      'description' => 'Doctor of Science'
    ),
    array(
      'name' => 'Ph.D.',
      'description' => 'Doctor of Philosophy'
    ),
    array(
      'name' => 'Master',
    ),
    array(
      'name' => 'Specialist',
    ),
    array(
      'name' => 'Bachelor',
    ),
  );
  $taxonomy['positions'] = array(
    array(
      'name' => 'Head of Department',
    ),
    array(
      'name' => 'Deputy Head of Department',
    ),
    array(
      'name' => 'Professor',
    ),
    array(
      'name' => 'Associate Professor',
    ),
    array(
      'name' => 'Senior Research Fellow',
    ),
    array(
      'name' => 'Research Fellow',
    ),
    array(
      'name' => 'Research Assistant',
    ),
    array(
      'name' => 'Senior Lecturer',
    ),
    array(
      'name' => 'Lecturer',
    ),
    array(
      'name' => 'Teaching Assistant',
    ),
    array(
      'name' => 'Senior Engineer',
    ),
    array(
      'name' => 'Engineer',
    ),
    array(
      'name' => 'Head of Laboratory',
    ),
    array(
      'name' => 'Senior Laboratory Assistant',
    ),
    array(
      'name' => 'Laboratory Assistant',
    ),
  );
  $taxonomy_terms['staff_roles'] = array(
    array(
      'name' => 'Faculty',
    ),
    array(
      'name' => 'Staff',
    ),
  );
  $taxonomy_terms['student_roles'] = array(
    array(
      'name' => 'Ph.D. Students',
    ),
    array(
      'name' => 'Master Students',
    ),
    array(
      'name' => 'Undergraduate Students',
    ),
  );
  return $taxonomy_terms;
}
